#!/usr/bin/env python
"""Django's command-line utility for administrative tasks."""
import os
import sys

import django


def main():
    os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'onebet.settings')

    if len(sys.argv) == 2 and sys.argv[1] == 'legacy':
        django.setup()
        from scripts.legacy import Legacy
        leg = Legacy()
        leg.migrate()
        return

    if len(sys.argv) == 2 and sys.argv[1] == 'teamimage':
        django.setup()
        from scripts.team_image import TeamImage
        TeamImage.update_images()
        return

    if len(sys.argv) == 2 and sys.argv[1] == 'leagueimage':
        django.setup()
        from scripts.league_image import LeagueImage
        LeagueImage.update_images()
        return

    try:
        from django.core.management import execute_from_command_line
    except ImportError as exc:
        raise ImportError(
            "Couldn't import Django. Are you sure it's installed and "
            "available on your PYTHONPATH environment variable? Did you "
            "forget to activate a virtual environment?"
        ) from exc
    execute_from_command_line(sys.argv)


if __name__ == '__main__':
    main()
